%define name gle
%define version 2.3

Summary: OpenGL Tubing and Extrusion Library
Name: %{name}
Version: %{version}
Release: 1
Copyright: BSDish
Group: X11/Libraries
Source: http://linas.org/gle/gle.%{version}.tar.gz
Patch: gle-2.3-linux-glx.patch
Url: http://linas.org/gle/index.html
BuildRoot: /var/tmp/gle-root
Prefix: /usr
Packager: Philip Long <PhilLong69@netscape.net>

%description

The GLE Tubing and Extrusion Library is a graphics application 
programming interface (API). The library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It uses the 
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions. 

%prep
%setup -q -n gle.%{version}
%patch -p1

%build
make realclean
make CFLAGS="$RPM_OPT_FLAGS" all

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/X11R6/lib
cp -p lib/lib*.a $RPM_BUILD_ROOT/usr/X11R6/lib
install -d $RPM_BUILD_ROOT/usr/X11R6/include/GL
cp -p include/GL/*.h $RPM_BUILD_ROOT/usr/X11R6/include/GL

%files
%defattr(-,root,root)
/usr/X11R6/lib/*
/usr/X11R6/include/GL/*

%changelog
* Sun Apr 9 2000 Philip Long <PhilLong69@netscape.net>
- Initial version

